For the complete documentation index, see llms.txt. This page is also available as Markdown.

Allowed resource ids

Allowed Resource Ids Endpoint

get

Endpoint to get allowed resource IDs.

Args: user_id: ID of the user for which to get the allowed resource ids. resource: The resource for which to get the IDs. action: The action for which to get the IDs. organization_id: Organization ID for deployment-scoped Resource Managers. auth_context: The authentication context. rbac: RBAC component. workspace_manager: Workspace manager.

Returns: A dictionary containing the allowed IDs and a boolean which specifies whether the user has full access to the resource.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
user_idstring · uuidRequired
resourcestringRequired
actionstringRequired
organization_idstring · uuid · nullableOptional
Responses
200

Successful Response

application/json
Other propertiesanyOptional
get/rbac/allowed_resource_ids
GET /rbac/allowed_resource_ids?user_id=123e4567-e89b-12d3-a456-426614174000&resource=text&action=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
ZenML Scarf

Last updated

Was this helpful?